Package com.sun.jna.platform.win32

## Class WinDef.HPEN

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.WinNT.HANDLE
    - - com.sun.jna.platform.win32.WinDef.HPEN

All Implemented Interfaces:
  `NativeMapped`

Enclosing interface:
  WinDef

    public static class WinDef.HPEN
    extends WinNT.HANDLE

Handle to a pen.

### Constructor Summary

Constructors
`HPEN()` Instantiates a new hpen.
`HPEN​(Pointer p)` Instantiates a new hpen.

### Method Summary

### Methods inherited from class com.sun.jna.platform.win32.WinNT.HANDLE

`fromNative, setPointer, toString`

### Methods inherited from class com.sun.jna.PointerType

`equals, getPointer, hashCode, nativeType, toNative`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HPEN

    public HPEN()

Instantiates a new hpen.

#### HPEN

    public HPEN​(Pointer p)

Instantiates a new hpen.

Parameters:
  `p` - the p